package com.imagine.component.calendar.demo.panels.customrenderer;

import java.awt.*;
import java.util.Date;

import javax.swing.*;

import com.imagine.component.calendar.*;
import com.imagine.component.calendar.demo.CalendarDemoController;
import com.imagine.component.calendar.demo.panels.CalendarDemoPanel;

public class CalendarDemoPanelCustomRenderer extends CalendarDemoPanel {

  private CalendarFactory calendarFactory = CalendarFactory.getInstance();
  
  private CalendarComponent calendarComponent = calendarFactory.createCalendarComponent(new Date());
  
  
  public CalendarDemoPanelCustomRenderer(CalendarDemoController calendarDemoController) {
    super(calendarDemoController);
    
    initialize();
  }
  
  
  private void initialize() {
    calendarComponent.setCalendarRendererProvider(new CalendarRendererProviderCustom());
    
    JLabel topMessage = new JLabel();
    topMessage.setText("This is a demonstration of a custom renderer which draws differently the days 12 and 21 of every month.");
    
    JPanel topPanel = new JPanel();
    topPanel.setLayout(new FlowLayout());
    topPanel.add(topMessage);
    
    this.setLayout(new BorderLayout());
    this.add(topPanel, BorderLayout.NORTH);
    this.add(calendarComponent.getComponent(), BorderLayout.CENTER);
  }

  public String getTitle() {
    return "Custom Renderer";
  }

}
