package com.imagine.component.calendar.demo.panels.customrenderer;

import java.awt.*;

import com.imagine.component.calendar.CalendarComponent;
import com.imagine.component.calendar.data.CalendarTableCellInfo;
import com.imagine.component.calendar.renderers.tablecellrenderers.CalendarTableCellRenderer;
import com.imagine.component.calendar.skins.CalendarSkin;
import com.imagine.component.calendar.util.GUIUtilities;

public class CalendarTableCellRendererCustom implements CalendarTableCellRenderer {

  public void paint(Graphics g, CalendarComponent calendarComponent, CalendarTableCellInfo calendarTableCellInfo) {
    if (!calendarComponent.getCalendarRendererProvider().hasBackgroundRenderer()) {
      g.setColor(calendarComponent.getCalendarSkin().getColorSkinProperty(CalendarSkin.CELL_FILL_COLOR));
      g.fillRect(0, 0, calendarTableCellInfo.getWidth(), calendarTableCellInfo.getHeight());
      
      Image cellBackGroundImage = calendarComponent.getCalendarSkin().getImageSkinProperty(CalendarSkin.CELL_BACKGROUND_IMAGE);
      if (cellBackGroundImage != null) {
        g.drawImage(cellBackGroundImage, 0, 0, null);
      }
    }
    
    g.setColor(new Color(255, 0, 0));
    g.fillRect(0, 0, calendarTableCellInfo.getWidth(), calendarTableCellInfo.getHeight());
    
    g.setColor(new Color(0, 0, 255));
    GUIUtilities.drawCenteredString(g, calendarTableCellInfo.getWidth(), calendarTableCellInfo.getHeight(), (String)calendarTableCellInfo.getValue());
  }

  public String toString() {
    return "Custom";
  }
}  
