package com.imagine.component.calendar.demo.panels.mainfeatures;

import javax.swing.ImageIcon;

import com.imagine.component.calendar.data.CalendarPropertyException;
import com.imagine.component.calendar.skins.CalendarSkin;
import com.imagine.component.calendar.skins.styles.CalendarSkinStyleAqua;

public class CalendarSkinStyleCustomBackgroundImage extends CalendarSkinStyleAqua {
  
  /**
   * Applies this style on the specified skin.
   * @param calendarSkin The calendarSkin on which the style is applyied.
   * @throws CalendarPropertyException 
   */
  public void applyStyle(CalendarSkin calendarSkin) throws CalendarPropertyException {
    super.applyStyle(calendarSkin);
    ImageIcon imageIcon = new ImageIcon(this.getClass().getResource("/resources/images/calendar.gif"));
    calendarSkin.setSkinProperty(CalendarSkin.BACKGROUND_IMAGE, imageIcon.getImage());
  }
  
  /**
   * Get the name of the style.
   * @return The name of the style.
   */
  public String getName() {
    return "Custom Background Image";
  }

}
