package com.imagine.component.calendar.example;

import java.awt.FlowLayout;
import java.awt.event.*;
import java.util.Date;

import javax.swing.*;

import com.imagine.component.calendar.*;
import com.imagine.component.calendar.renderers.CalendarRendererProviderRoundRect;
import com.imagine.component.calendar.skins.styles.CalendarSkinStyleAqua;

public class CalendarExamples_CalendarComboboxUsage {

  public static void main(String[] args) {
CalendarFactory calendarFactory = CalendarFactory.getInstance();
CalendarComboBox calendarComboBox = calendarFactory.createCalendarComboBox(new Date());

CalendarComponent calendarComponent = calendarComboBox.getCalendarComponent();
calendarComponent.setCalendarProperty(CalendarComponent.FIRST_DAY_OF_WEEK, new Integer(java.util.Calendar.MONDAY));
calendarComponent.getCalendarSkin().applyCalendarSkinStyle(new CalendarSkinStyleAqua());
calendarComponent.setCalendarRendererProvider(new CalendarRendererProviderRoundRect());

JFrame frame = new JFrame("Calendar Test");
JPanel panel = new JPanel();
panel.setLayout(new FlowLayout());
panel.add(new JLabel("Enter a date:"));
panel.add(calendarComboBox.getComboBoxComponent());
frame.getContentPane().add(panel);
frame.pack();
frame.addWindowListener(new WindowAdapter() {
  public void windowClosing(WindowEvent arg0) {
    System.exit(0);
  }
});
frame.setVisible(true);
  }
}
