package com.imagine.component.calendar.example;

import java.awt.*;
import java.util.Date;

import com.imagine.component.calendar.*;
import com.imagine.component.calendar.skins.CalendarSkin;
import com.imagine.component.calendar.skins.styles.CalendarSkinStyle;

public class CalendarExamples_CustomSkinStyle {

  public static void main(String[] args) {
CalendarFactory calendarFactory = CalendarFactory.getInstance();
CalendarComponent calendarComponent = calendarFactory.createCalendarComponent(new Date());
calendarComponent.getCalendarSkin().applyCalendarSkinStyle(new CalendarSkinStyleCustom());
  }
  
}

class CalendarSkinStyleCustom extends CalendarSkinStyle {

  public void applyStyle(CalendarSkin calendarSkin) {
    calendarSkin.setSkinProperty(CalendarSkin.CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont());
    calendarSkin.setSkinProperty(CalendarSkin.EXTRA_MONTH_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont().deriveFont(Font.ITALIC));
    calendarSkin.setSkinProperty(CalendarSkin.WEEKEND_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont().deriveFont(Font.ITALIC | Font.BOLD));
    calendarSkin.setSkinProperty(CalendarSkin.HEADER_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont());
    calendarSkin.setSkinProperty(CalendarSkin.WEEK_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont());
    
    calendarSkin.setSkinProperty(CalendarSkin.CELL_FILL_COLOR, new Color(189, 209, 173));
    calendarSkin.setSkinProperty(CalendarSkin.EXTRA_MONTH_CELL_TEXT_COLOR, new Color(128, 128, 128));
    calendarSkin.setSkinProperty(CalendarSkin.WEEKEND_CELL_TEXT_COLOR, new Color(54, 54, 16));
    calendarSkin.setSkinProperty(CalendarSkin.CELL_TEXT_COLOR, new Color(101, 101, 31));
    calendarSkin.setSkinProperty(CalendarSkin.TODAY_COLOR, new Color(255, 0, 0));
    calendarSkin.setSkinProperty(CalendarSkin.DISABLED_COLOR, new Color(255, 0, 0));
    
    calendarSkin.setSkinProperty(CalendarSkin.GRID_COLOR, new Color(134, 151, 130));
    
    calendarSkin.setSkinProperty(CalendarSkin.SELECTED_CELL_FILL_COLOR, new Color(82, 107, 61));
    calendarSkin.setSkinProperty(CalendarSkin.SELECTED_CELL_TEXT_COLOR, new Color(255, 255, 255));
    
    calendarSkin.setSkinProperty(CalendarSkin.HOVERED_CELL_FILL_COLOR, new Color(82, 107, 61));
    calendarSkin.setSkinProperty(CalendarSkin.HOVERED_CELL_TEXT_COLOR, new Color(255, 255, 255));
    
    calendarSkin.setSkinProperty(CalendarSkin.HEADER_CELL_TEXT_COLOR, new Color(212, 208, 200));
    calendarSkin.setSkinProperty(CalendarSkin.HEADER_CELL_FILL_COLOR, new Color(128, 128, 128));
    
    calendarSkin.setSkinProperty(CalendarSkin.WEEK_CELL_TEXT_COLOR, new Color(212, 208, 200));
    calendarSkin.setSkinProperty(CalendarSkin.WEEK_CELL_FILL_COLOR, new Color(128, 128, 128));
    
    
    calendarSkin.setSkinProperty(CalendarSkin.BACKGROUND_IMAGE, null);
    calendarSkin.setSkinProperty(CalendarSkin.CELL_BACKGROUND_IMAGE, null);
    
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_TEXT_COLOR, new Color(101, 101, 31));
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_HOVERED_TEXT_COLOR, new Color(82, 107, 61));
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_FILL_COLOR, new Color(189, 209, 173));
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont().deriveFont(Font.BOLD));
    
  }
  
  public String getName() {
    return "Custom";
  }
}
