package com.imagine.component.calendar.renderers.backgroundrenderers;

import java.awt.*;

import com.imagine.component.calendar.CalendarComponent;
import com.imagine.component.calendar.data.CalendarBackgroundInfo;
import com.imagine.component.calendar.skins.CalendarSkin;

/**
 * Defines the default background renderer. 
 */
public class CalendarBackgroundRendererDefault implements CalendarBackgroundRenderer {

	/**
	 * @inheritDoc
	 */
	public void paint(Graphics g, CalendarComponent calendarComponent, CalendarBackgroundInfo calendarBackgroundInfo) {
		Image backgroundImage = calendarComponent.getCalendarSkin().getImageSkinProperty(CalendarSkin.BACKGROUND_IMAGE);
		if (backgroundImage != null) {
			g.drawImage(backgroundImage, 0, 0, null);
		}
	}

}
