package com.imagine.component.calendar.skins.styles;

import java.awt.*;

import com.imagine.component.calendar.data.CalendarPropertyException;
import com.imagine.component.calendar.skins.CalendarSkin;

/**
 * Defines the Aqua style.
 */
public class CalendarSkinStyleAqua extends CalendarSkinStyle {
  
  /**
   * @inheritDoc
   */
  public void applyStyle(CalendarSkin calendarSkin) throws CalendarPropertyException {
    calendarSkin.setSkinProperty(CalendarSkin.CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont());
    calendarSkin.setSkinProperty(CalendarSkin.WEEKEND_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont().deriveFont(Font.ITALIC | Font.BOLD));
    calendarSkin.setSkinProperty(CalendarSkin.EXTRA_MONTH_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont().deriveFont(Font.ITALIC));
    calendarSkin.setSkinProperty(CalendarSkin.HEADER_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont());
    calendarSkin.setSkinProperty(CalendarSkin.WEEK_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont());
    
    calendarSkin.setSkinProperty(CalendarSkin.CELL_FILL_COLOR, new Color(190, 231, 221));
    calendarSkin.setSkinProperty(CalendarSkin.CELL_TEXT_COLOR, new Color(38, 90, 100));
    calendarSkin.setSkinProperty(CalendarSkin.WEEKEND_CELL_TEXT_COLOR, new Color(46, 68, 92));
    calendarSkin.setSkinProperty(CalendarSkin.EXTRA_MONTH_CELL_TEXT_COLOR, new Color(155, 155, 255));
    
    calendarSkin.setSkinProperty(CalendarSkin.TODAY_COLOR, new Color(255, 0, 0));
    calendarSkin.setSkinProperty(CalendarSkin.DISABLED_COLOR, new Color(255, 0, 0));
    
    calendarSkin.setSkinProperty(CalendarSkin.GRID_COLOR, new Color(131, 160, 190));
    
    calendarSkin.setSkinProperty(CalendarSkin.SELECTED_CELL_FILL_COLOR, new Color(77, 112, 147));
    calendarSkin.setSkinProperty(CalendarSkin.SELECTED_CELL_TEXT_COLOR, new Color(217, 232, 254));
    
    calendarSkin.setSkinProperty(CalendarSkin.HOVERED_CELL_FILL_COLOR, new Color(77, 112, 147));
    calendarSkin.setSkinProperty(CalendarSkin.HOVERED_CELL_TEXT_COLOR, new Color(217, 232, 254));
    
    calendarSkin.setSkinProperty(CalendarSkin.HEADER_CELL_TEXT_COLOR, new Color(212, 208, 200));
    calendarSkin.setSkinProperty(CalendarSkin.HEADER_CELL_FILL_COLOR, new Color(128, 128, 128));
    
    calendarSkin.setSkinProperty(CalendarSkin.WEEK_CELL_TEXT_COLOR, new Color(212, 208, 200));
    calendarSkin.setSkinProperty(CalendarSkin.WEEK_CELL_FILL_COLOR, new Color(128, 128, 128));
    
    calendarSkin.setSkinProperty(CalendarSkin.BACKGROUND_IMAGE, null);
    calendarSkin.setSkinProperty(CalendarSkin.CELL_BACKGROUND_IMAGE, null);
    
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_TEXT_COLOR, new Color(38, 90, 100));
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_HOVERED_TEXT_COLOR, new Color(77, 112, 147));
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_FILL_COLOR, new Color(190, 231, 221));
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont().deriveFont(Font.BOLD));
  }
  
  /**
   * @inheritDoc
   */
  public String getName() {
    return "Aqua";
  }
  
}
