package com.imagine.component.calendar.skins.styles;

import java.awt.*;

import com.imagine.component.calendar.data.CalendarPropertyException;
import com.imagine.component.calendar.skins.CalendarSkin;

/**
 * Defines the Light style.
 */
public class CalendarSkinStyleLight extends CalendarSkinStyle {

  /**
   * Applies this style on the specified skin.
   * @param calendarSkin The calendarSkin on which the style is applyied.
   */
  public void applyStyle(CalendarSkin calendarSkin)  throws CalendarPropertyException {
    calendarSkin.setSkinProperty(CalendarSkin.CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont());
    calendarSkin.setSkinProperty(CalendarSkin.EXTRA_MONTH_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont().deriveFont(Font.ITALIC));
    calendarSkin.setSkinProperty(CalendarSkin.WEEKEND_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont().deriveFont(Font.ITALIC | Font.BOLD));
    calendarSkin.setSkinProperty(CalendarSkin.HEADER_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont());
    calendarSkin.setSkinProperty(CalendarSkin.WEEK_CELL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont());
    
    calendarSkin.setSkinProperty(CalendarSkin.CELL_FILL_COLOR, new Color(254, 252, 218));
    calendarSkin.setSkinProperty(CalendarSkin.WEEKEND_CELL_TEXT_COLOR, new Color(174, 104, 70));
    calendarSkin.setSkinProperty(CalendarSkin.CELL_TEXT_COLOR, new Color(87, 11, 6));
    calendarSkin.setSkinProperty(CalendarSkin.TODAY_COLOR, new Color(255, 0, 0));
    calendarSkin.setSkinProperty(CalendarSkin.DISABLED_COLOR, new Color(255, 0, 0));
    
    calendarSkin.setSkinProperty(CalendarSkin.GRID_COLOR, new Color(186, 117, 84));
    
    calendarSkin.setSkinProperty(CalendarSkin.SELECTED_CELL_FILL_COLOR, new Color(189,131,87));
    calendarSkin.setSkinProperty(CalendarSkin.SELECTED_CELL_TEXT_COLOR, new Color(220,220,220));
    
    calendarSkin.setSkinProperty(CalendarSkin.HOVERED_CELL_FILL_COLOR, new Color(189,131,87));
    calendarSkin.setSkinProperty(CalendarSkin.HOVERED_CELL_TEXT_COLOR, new Color(220,220,220));
    
    calendarSkin.setSkinProperty(CalendarSkin.HEADER_CELL_TEXT_COLOR, new Color(212, 208, 200));
    calendarSkin.setSkinProperty(CalendarSkin.HEADER_CELL_FILL_COLOR, new Color(128, 128, 128));
    
    calendarSkin.setSkinProperty(CalendarSkin.WEEK_CELL_TEXT_COLOR, new Color(212, 208, 200));
    calendarSkin.setSkinProperty(CalendarSkin.WEEK_CELL_FILL_COLOR, new Color(128, 128, 128));
    
    calendarSkin.setSkinProperty(CalendarSkin.BACKGROUND_IMAGE, null);
    calendarSkin.setSkinProperty(CalendarSkin.CELL_BACKGROUND_IMAGE, null);
    
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_TEXT_COLOR, new Color(87, 11, 6));
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_HOVERED_TEXT_COLOR, new Color(189,131,87));
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_FILL_COLOR, new Color(254, 252, 218));
    calendarSkin.setSkinProperty(CalendarSkin.STATUS_PANEL_FONT, calendarSkin.getCalendarComponent().getComponent().getFont().deriveFont(Font.BOLD));
  }
  
  /**
   * Get the name of the style.
   * @return The name of the style.
   */
  public String getName() {
    return "Light";
  }

}
